org.richfaces.renderkit

## Class CollapsibleSubTableTogglerRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.CollapsibleSubTableTogglerRendererBase

- Direct Known Subclasses:
    CollapsibleSubTableTogglerRenderer

      public abstract class CollapsibleSubTableTogglerRendererBase
      extends org.richfaces.renderkit.RendererBase

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollapsibleSubTableTogglerRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeControl(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, AbstractCollapsibleSubTableToggler control, boolean expanded, boolean visible)`
    `protected void` | `encodeControl(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `HashMap<String,Object>` | `encodeOptions(javax.faces.context.FacesContext context, AbstractCollapsibleSubTableToggler toggleControl, AbstractCollapsibleSubTable subTable)`
    `protected AbstractCollapsibleSubTable` | `findComponent(javax.faces.context.FacesContext context, AbstractCollapsibleSubTableToggler toggleControl)`
    `protected String` | `getState(boolean expanded)`
    `String` | `getStyle(javax.faces.context.FacesContext context, AbstractCollapsibleSubTableToggler control)`
    `String` | `getStyleClass(javax.faces.context.FacesContext context, AbstractCollapsibleSubTableToggler control)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollapsibleSubTableTogglerRendererBase

          public CollapsibleSubTableTogglerRendererBase()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.RendererBase`

    - #### encodeControl

          protected void encodeControl(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Throws:
        `IOException`

    - #### encodeControl

          protected void encodeControl(javax.faces.context.FacesContext context,
                           javax.faces.context.ResponseWriter writer,
                           AbstractCollapsibleSubTableToggler control,
                           boolean expanded,
                           boolean visible)
                                throws IOException

      Throws:
        `IOException`

    - #### encodeOptions

          public HashMap<String,Object> encodeOptions(javax.faces.context.FacesContext context,
                                             AbstractCollapsibleSubTableToggler toggleControl,
                                             AbstractCollapsibleSubTable subTable)

    - #### getStyleClass

          public String getStyleClass(javax.faces.context.FacesContext context,
                             AbstractCollapsibleSubTableToggler control)

    - #### getStyle

          public String getStyle(javax.faces.context.FacesContext context,
                        AbstractCollapsibleSubTableToggler control)

    - #### findComponent

          protected AbstractCollapsibleSubTable findComponent(javax.faces.context.FacesContext context,
                                                  AbstractCollapsibleSubTableToggler toggleControl)

    - #### getState

          protected String getState(boolean expanded)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.